This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 967945 - Review Request: perl-POE-Component-Client-Ident - A component that provides non-blocking ident lookups to your sessions
Review Request: perl-POE-Component-Client-Ident - A component that provides n...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 967828
  Show dependency treegraph
 
Reported: 2013-05-28 11:44 EDT by Petr Šabata
Modified: 2014-04-03 08:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-POE-Component-Client-Ident-1.16-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 08:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2013-05-28 11:44:18 EDT
Spec URL: http://psabata.fedorapeople.org/pkgs/perl-POE-Component-Client-Ident/perl-POE-Component-Client-Ident.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/perl-POE-Component-Client-Ident/perl-POE-Component-Client-Ident-1.16-1.fc18.src.rpm
Description:
This package ships with tree ident modules:

POE::Component::Client::Ident is a POE component that provides
non-blocking Ident lookup services to other components
and sessions. The Ident protocol is described in RFC 1413
http://www.faqs.org/rfcs/rfc1413.html.

POE::Component::Client::Ident::Agent is a POE component that provides
a single "one shot" look up of a username on the remote side of a TCP
connection to other components and sessions, using the ident (auth/tap)
protocol.

POE::Filter::Ident takes lines of raw Ident input and turns
them into weird little data structures, suitable for feeding to
POE::Component::Client::Ident::Agent.

Fedora Account System Username: psabata
Comment 1 Petr Pisar 2013-05-29 05:24:32 EDT
URL and Source0 are usable. Ok.
Source tar ball is original (SHA-256: 2a5b1ce0b15fde4ca2167931d8c455330486044a32df3d91e582bc23b1a0fcb4). Ok.

TODO: Spell ident as Ident in the summary to be consistent with the description.
TODO: Spell lookup in the summary the same way as in the description.

TODO: Correct typo `tree' in the description.
TODO: Quote URL in the description with angle brackets.

TODO: Consider unbundling inc::Modules::Install.

TODO: Constrain `perl(Test::More)' with `>= 0.47'.
TODO: Constrain `perl(POE)' with `>= 0.38'.

$ rpmlint perl-POE-Component-Client-Ident.spec ../SRPMS/perl-POE-Component-Client-Ident-1.16-1.fc20.src.rpm ../RPMS/noarch/perl-POE-Component-Client-Ident-1.16-1.fc20.noarch.rpm 
perl-POE-Component-Client-Ident.src: W: spelling-error Summary(en_US) lookups -> lockups, hookups, look ups
perl-POE-Component-Client-Ident.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
perl-POE-Component-Client-Ident.src: W: spelling-error %description -l en_US username -> user name, user-name, surname
perl-POE-Component-Client-Ident.src: W: spelling-error %description -l en_US auth -> auto, Ruth, author
perl-POE-Component-Client-Ident.noarch: W: spelling-error Summary(en_US) lookups -> lockups, hookups, look ups
perl-POE-Component-Client-Ident.noarch: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
perl-POE-Component-Client-Ident.noarch: W: spelling-error %description -l en_US username -> user name, user-name, surname
perl-POE-Component-Client-Ident.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
perl-POE-Component-Client-Ident.noarch: E: incorrect-fsf-address /usr/share/doc/perl-POE-Component-Client-Ident-1.16/LICENSE
2 packages and 1 specfiles checked; 1 errors, 8 warnings.
TODO: Correct the look-up spelling.

$ rpm -q -lv -p ../RPMS/noarch/perl-POE-Component-Client-Ident-1.16-1.fc20.noarch.rpm 
drwxr-xr-x    2 root    root                        0 May 29 11:13 /usr/share/doc/perl-POE-Component-Client-Ident-1.16
-rw-r--r--    1 root    root                     1755 May 17  2008 /usr/share/doc/perl-POE-Component-Client-Ident-1.16/Changes
-rw-r--r--    1 root    root                    18303 May 20  2009 /usr/share/doc/perl-POE-Component-Client-Ident-1.16/LICENSE
-rw-r--r--    1 root    root                     1608 Nov  9  2004 /usr/share/doc/perl-POE-Component-Client-Ident-1.16/README
-r--r--r--    1 root    root                     3343 May 29 11:13 /usr/share/man/man3/POE::Component::Client::Ident.3pm.gz
-r--r--r--    1 root    root                     3793 May 29 11:13 /usr/share/man/man3/POE::Component::Client::Ident::Agent.3pm.gz
-r--r--r--    1 root    root                     2596 May 29 11:13 /usr/share/man/man3/POE::Filter::Ident.3pm.gz
drwxr-xr-x    2 root    root                        0 May 29 11:13 /usr/share/perl5/vendor_perl/POE
drwxr-xr-x    2 root    root                        0 May 29 11:13 /usr/share/perl5/vendor_perl/POE/Component
drwxr-xr-x    2 root    root                        0 May 29 11:13 /usr/share/perl5/vendor_perl/POE/Component/Client
drwxr-xr-x    2 root    root                        0 May 29 11:13 /usr/share/perl5/vendor_perl/POE/Component/Client/Ident
-r--r--r--    1 root    root                     7410 May 20  2009 /usr/share/perl5/vendor_perl/POE/Component/Client/Ident.pm
-r--r--r--    1 root    root                    11491 May 20  2009 /usr/share/perl5/vendor_perl/POE/Component/Client/Ident/Agent.pm
drwxr-xr-x    2 root    root                        0 May 29 11:13 /usr/share/perl5/vendor_perl/POE/Filter
-r--r--r--    1 root    root                     4725 May 20  2009 /usr/share/perl5/vendor_perl/POE/Filter/Ident.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-POE-Component-Client-Ident-1.16-1.fc20.noarch.rpm | sort | uniq -c
      1 perl(Carp)
      1 perl(:MODULE_COMPAT_5.16.3)
      1 perl(POE)
      1 perl(POE::Driver::SysRW)
      1 perl(POE::Filter::Line)
      1 perl(POE::Filter::Stream)
      1 perl(POE::Session)
      1 perl(POE::Wheel::ReadWrite)
      1 perl(POE::Wheel::SocketFactory)
      1 perl(Socket)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.
TODO: Constrain `perl(POE)' with `>= 0.38'.

$ rpm -q --provides -p ../RPMS/noarch/perl-POE-Component-Client-Ident-1.16-1.fc20.noarch.rpm | sort | uniq -c
      1 perl(POE::Component::Client::Ident) = 1.16
      1 perl-POE-Component-Client-Ident = 1.16-1.fc20
      1 perl(POE::Component::Client::Ident::Agent) = 1.16
      1 perl(POE::Filter::Ident) = 1.16
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-POE-Component-Client-Ident-1.16-1.fc20.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F20 (http://koji.fedoraproject.org/koji/taskinfo?taskID=5437537). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please consider fixing the `TODO' items before building the package.
Resolution: Package APPROVED.
Comment 2 Petr Šabata 2013-05-29 10:22:09 EDT
New Package SCM Request
=======================
Package Name: perl-POE-Component-Client-Ident
Short Description: A component that provides non-blocking Ident lookups to your sessions
Owners: psabata jplesnik ppisar
Branches: f19
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2013-05-29 10:40:43 EDT
Git done (by process-git-requests).
Comment 4 Petr Šabata 2013-05-29 11:02:34 EDT
(In reply to Petr Pisar from comment #1)
> TODO: Spell ident as Ident in the summary to be consistent with the
> description.
> TODO: Spell lookup in the summary the same way as in the description.
> 
> TODO: Correct typo `tree' in the description.
> TODO: Quote URL in the description with angle brackets.

Thanks.  Done.

> TODO: Consider unbundling inc::Modules::Install.

I prefer using code provided by upstream.

> TODO: Constrain `perl(Test::More)' with `>= 0.47'.
> TODO: Constrain `perl(POE)' with `>= 0.38'.

None of current Fedora or EL releases ships with such ancient versions.  That's unnecessary.

Anyhow, thank you for the review.
Comment 5 Fedora Update System 2013-05-29 11:13:26 EDT
perl-POE-Component-Client-Ident-1.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-POE-Component-Client-Ident-1.16-1.fc19
Comment 6 Fedora Update System 2013-10-09 21:04:56 EDT
perl-POE-Component-Client-Ident-1.16-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.